<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
    // ghi đè thuộc tính trong OOP-javaScript
    function rabbit(type){
        this.type=type;
        this.greeting = function(){
            console.log( "the" + this.type+" Rabbit" + " say Hello!")
        }
    }

    var whiteRabbit = new rabbit('white')
    var fatRabbit = new rabbit('fat')

    rabbit.prototype.teech= "small"
    console.log(whiteRabbit.teech)
    console.log(whiteRabbit.type)

    fatRabbit.teech = "long" // ghi đè thuộc tính có trong constructor
    console.log(fatRabbit.teech)
    console.log(whiteRabbit.teech)
    </script>
</body>
</html>